<script lang="ts">
  import { Navbar, NavBrand, NavLi, NavUl, NavHamburger } from 'flowbite-svelte';
  import { DarkMode } from 'flowbite-svelte';

  import logo from '$lib/assets/img/logo.png';
  import { onMount } from 'svelte';
  import { faMoon, faSun } from '@fortawesome/free-solid-svg-icons';
  import Fa from 'svelte-fa';

  let isDark = false;

  onMount(() => {
    isDark = window.document.documentElement.classList.contains('dark');
    setSvelvetTheme();
  });

  function setSvelvetTheme() {
    isDark = !isDark;
    document.documentElement.setAttribute('svelvet-theme', isDark ? 'dark' : 'light');
  }

  onMount(setSvelvetTheme);
</script>

<Navbar
  fluid
  let:hidden
  let:toggle
  class="outline outline-1 dark:outline-none bg-white dark:bg-gray-900 text-gray-700 dark:text-gray-200 border-gray-100 dark:border-gray-700 divide-gray-100 dark:divide-gray-700 px-2 sm:px-4 py-2.5 w-full z-50">
  <NavBrand href="/">
    <img src={logo} class="mr-3 h-6 sm:h-9" alt="CAE Cyber Competitions Atlas Logo" />
    <p class="self-center text-md lg:text-xl font-semibold dark:text-white flex max-lg:flex-col gap-x-1">
      <span>CAE Cyber</span>
      <span>Competitions Atlas</span>
    </p>
  </NavBrand>
  <NavHamburger on:click={toggle} />
  <NavUl {hidden} class="align-middle">
    <!-- classes center the text within the nav list to align with dark mode button better -->
    <NavLi class="h-full flex items-center" href="/promoted">Promoted</NavLi>
    <NavLi class="h-full flex items-center" href="/competitions">Competitions</NavLi>
    <NavLi class="h-full flex items-center" href="/proxi-play">ProxiPlay</NavLi>
    <NavLi class="h-full flex items-center" href="/pathways">Pathways</NavLi>
    <NavLi class="h-full flex items-center" href="/contact">Contact Us</NavLi>
    <span
      class="justify-start"
      tabindex="0"
      role="button"
      aria-pressed="false"
      data-umami-event="Toggle UI Theme"
      on:click={setSvelvetTheme}
      on:keydown={setSvelvetTheme}>
      <DarkMode
        ariaLabel="Toggle Dark Mode"
        btnClass="text-gray-500 dark:text-gray-400 hover:bg-gray-100 dark:hover:bg-gray-700 text-gray-700 rounded-lg p-2">
        <span slot="darkIcon">
          <Fa size="lg" class="inline pr-1" icon={faMoon} />
          <span class="md:hidden">Dark Mode</span>
        </span>
        <span slot="lightIcon">
          <Fa size="lg" class="inline pr-1" icon={faSun} />
          <span class="md:hidden">Light Mode</span>
        </span>
      </DarkMode>
    </span>
  </NavUl>
</Navbar>
